#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-vector/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: vector
version: 0.12.0.1
id: vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
key: vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
license: BSD-3-Clause
copyright: (c) Roman Leshchinskiy 2008-2012
maintainer: Haskell Libraries Team <libraries@haskell.org>
author: Roman Leshchinskiy <rl@cse.unsw.edu.au>
homepage: https://github.com/haskell/vector
synopsis: Efficient Arrays
description:
    .
    An efficient implementation of Int-indexed arrays (both mutable
    and immutable), with a powerful loop optimisation framework .
    .
    It is structured as follows:
    .
    ["Data.Vector"] Boxed vectors of arbitrary types.
    .
    ["Data.Vector.Unboxed"] Unboxed vectors with an adaptive
    representation based on data type families.
    .
    ["Data.Vector.Storable"] Unboxed vectors of '\''Storable'\'' types.
    .
    ["Data.Vector.Primitive"] Unboxed vectors of primitive types as
    defined by the @primitive@ package. "Data.Vector.Unboxed" is more
    flexible at no performance cost.
    .
    ["Data.Vector.Generic"] Generic interface to the vector types.
    .
    There is also a (draft) tutorial on common uses of vector.
    .
    * <http://haskell.org/haskellwiki/Numeric_Haskell:_A_Vector_Tutorial>
category: Data, Data Structures
abi: 910e569d11f2c11c0ad4a6f45abd85db
exposed: True
exposed-modules:
    Data.Vector Data.Vector.Fusion.Bundle
    Data.Vector.Fusion.Bundle.Monadic Data.Vector.Fusion.Bundle.Size
    Data.Vector.Fusion.Stream.Monadic Data.Vector.Fusion.Util
    Data.Vector.Generic Data.Vector.Generic.Base
    Data.Vector.Generic.Mutable Data.Vector.Generic.Mutable.Base
    Data.Vector.Generic.New Data.Vector.Internal.Check
    Data.Vector.Mutable Data.Vector.Primitive
    Data.Vector.Primitive.Mutable Data.Vector.Storable
    Data.Vector.Storable.Internal Data.Vector.Storable.Mutable
    Data.Vector.Unboxed Data.Vector.Unboxed.Base
    Data.Vector.Unboxed.Mutable
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/vector-0.12.0.1
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/vector-0.12.0.1
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/vector-0.12.0.1
hs-libraries: HSvector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
include-dirs: /usr/local/include
              /usr/local/lib/cabal/ghc-8.4.3/vector-0.12.0.1/include
depends:
    base-4.11.1.0 primitive-0.6.3.0-DaZpcxwJp2TGn8ITSgfI4C
    ghc-prim-0.5.2.0 deepseq-1.4.3.0
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             primitive-0.6.3.0-DaZpcxwJp2TGn8ITSgfI4C=ebb991f3cd931bf46036a150751d6a3e
             ghc-prim-0.5.2.0=39dc2488936298f474639901f9105eec
             deepseq-1.4.3.0=a0a2dcdc923dbfb12a212a375ac573e0
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/vector-0.12.0.1/html/vector.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/vector-0.12.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

